# QField Cloud


### Debian vorbereiten:
```
mkdir /docker ; cd /docker
curl -k https://get.docker.com | bash

systemctl stop exim4
```

### QFieldCloud klonen:
```
cd /docker
git clone https://github.com/opengisch/QFieldCloud.git
cd /docker/QFieldCloud
```

### Konfiguration anpassen:
```
cp .env.example .env
nano .env

QFIELDCLOUD_HOST=opengis
DJANGO_ALLOWED_HOSTS="localhost 127.0.0.1 0.0.0.0 app nginx opengis"

```

### Container bauen und starten:
```
docker compose up -d --build ; docker compose logs -f
```
das dauert etwas...
```
docker compose exec app python manage.py migrate
docker compose run app python manage.py collectstatic --noinput
```
Testen ob alles läuft:
```
docker compose exec app python manage.py status
```
Ersten User anlegen:
```
docker compose run app python manage.py createsuperuser --username super_user --email super@user.com
```



